Cyberduck Mountain Duck CLI

#11178 closed defect (thirdparty)

Modified column shows "Unknown" for all files and folders when connecting to Couchdrop.io SFTP

Reported by: lincetto Owned by:
Priority: normal Milestone:
Component: sftp Version: 7.6.1
Severity: normal Keywords:
Cc: lincetto@… Architecture:
Platform: macOS 10.15

Description

The "Modified" (timestamp) column for all file objects shows as "Unknown" for Couchdrop SFTP server. I've confirmed I do see modified timestamps as expected on an sftp connection with different client connected to same server so the problem may be limited to when using Couchdrop. I can confirm the issue is the same as when connected to Couchdrop FTP server instead of SFTP.

Attachments (2)

Schermata 2020-09-21 alle 15.00.05.png (737.1 KB) - added by lincetto on Sep 21, 2020 at 1:01:10 PM.
Screenshot from Cyberduck
Schermata 2020-09-21 alle 15.00.37.png (2.3 MB) - added by lincetto on Sep 21, 2020 at 1:01:31 PM.
Screenshot from CLI SFTP client

Change History (6)

Changed on Sep 21, 2020 at 1:01:10 PM by lincetto

Screenshot from Cyberduck

Changed on Sep 21, 2020 at 1:01:31 PM by lincetto

Screenshot from CLI SFTP client

comment:1 Changed on Nov 21, 2020 at 9:06:43 PM by dkocher

  • Resolution set to thirdparty
  • Status changed from new to closed

The server response from Couchdrop is obviously missing the modification date.

comment:2 Changed on Nov 22, 2020 at 7:11:55 AM by lincetto

  • Cc lincetto@… added
  • Resolution thirdparty deleted
  • Status changed from closed to reopened

As I reported and proved with the attached screenshot, the server is sending the modification date. Indeed other clients are correctly showing that.

comment:3 Changed on Nov 22, 2020 at 3:23:18 PM by dkocher

I have just tested this with an account and can reproduce the problem. The server does not send the required attribute flags as defined in valid-attribute-flags. Not sure yet how OpenSSH sftp manages to display a meaningful value.

comment:4 Changed on Nov 26, 2020 at 10:18:40 AM by dkocher

  • Resolution set to thirdparty
  • Status changed from reopened to closed

This will be fixed by Couchdrop.

Note: See TracTickets for help on using tickets.